package net.sf.itcb.addons.monitoring.track.appender;

import net.sf.itcb.addons.monitoring.track.bean.ItcbTrackBean;

/**
 * Appender interface
 * Highly recommended to use asynchronous appender implementation for performance
 * @author Pierre Le Roux
 */
public interface ItcbAppender {

	/**
	 * Method used to track information
	 * @param itcbTrackBean the action information with result and parameters if needed to track it
	 */
	public void track(ItcbTrackBean itcbTrackBean);
		
}
